%define namedreltag .Final
%define namedversion %{version}%{?namedreltag}

Name: jboss-rmi-1.0-api
Version: 1.0.4
Release: 11%{dist}
Summary: Java Remote Method Invocation 1.0 API
Group: Development/Libraries
License: GPLv2 with exceptions
URL: http://www.jboss.org

# git clone https://github.com/jboss/jboss-rmi-api_spec
# cd jboss-rmi-api_spec/ && git archive --format=tar --prefix=jboss-rmi-1.0-api-1.0.4.Final/ jboss-rmi-api_1.0_spec-1.0.4.Final | xz > jboss-rmi-1.0-api-1.0.4.Final.tar.xz
Source0: %{name}-%{namedversion}.tar.xz

# Fix the address of the FSF in the license file:
Patch0: %{name}-fix-fsf-address.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: jacorb >= 2.3.1-3.20120215git

Requires: jpackage-utils
Requires: jacorb >= 2.3.1-3.20120215git

BuildArch: noarch


%description
Java Remote Method Invocation 1.0 API classes.


%package javadoc
Summary: Javadocs for %{name}
Group: Documentation
Requires: jpackage-utils


%description javadoc	
This package contains the API documentation for %{name}.


%prep

# Unpack the sources:
%setup -q -n %{name}-%{namedversion}

# Apply the patches:
%patch0 -p1


%build
mvn-rpmbuild install javadoc:aggregate


%install

# Jar files:
install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/jboss-rmi-api_1.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Dependencies map:
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files -f .mfiles
%doc src/main/resources/LICENSE


%files javadoc
%{_javadocdir}/%{name}
%doc src/main/resources/LICENSE


%changelog
* Mon Aug 04 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0.4-11
- Fix FTBFS due to F21 XMvn changes (#1106896)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.4-9
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.4-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Aug 31 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.4-5
- Added maven-dependency-plugin BR

* Fri Aug 31 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.4-4
- Added implementation to the build

* Tue Jul 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.4-3
- Added maven-enforcer-plugin build time dependency

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.0.4-1
- Initial packaging
